Bug 6925 - Blind CCing editor comments to reviewers doesn't use correct template
Blind CCing editor comments to reviewers doesn't use correct template
Status: REOPENED
Product: OCS
Classification: Unclassified
Component: General
3.0
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 15:34 PDT by Matthew Crider
Modified: 2012-08-21 15:49 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS pre-2.3.7 (827 bytes, patch)
2011-10-18 16:08 PDT, Matthew Crider
Details | Diff
Patch against OCS Pre-2.3.5 (3.84 KB, patch)
2011-10-18 16:42 PDT, Matthew Crider
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2011-10-18 15:34:29 PDT
Its just repeating the editor decision email.  The article mail template needs to set the 'ignorePostedData' parameter.
Comment 1 Alec Smecher 2011-10-18 15:37:35 PDT
That's the behavior I would expect, given the label on the checkbox -- "After sending, present an editable BCC copy to send to reviewers."
Comment 2 Matthew Crider 2011-10-18 15:41:46 PDT
Its clear from the code that it should be using the SUBMISSION_DECISION_REVIEWERS template, which is a boilerplate for reviewers (thanks the reviewers, lets them know what the email is about).  It then copies the editor decision email(s) into the bottom of the email.  Without '$ignorePostedData' set, MailTemplate::51 is false and it uses the email thats in the request.
Comment 3 Alec Smecher 2011-10-18 15:43:45 PDT
Ah, gotcha -- yes, that's a bug (though the current behavior isn't entirely awful).
Comment 4 Matthew Crider 2011-10-18 15:50:02 PDT
Fixed blind CC editor comments to reviewers email
https://github.com/pkp/ojs/commit/841c82c95b5bdd55baf147d67cfc83f4e55b7874
Comment 5 Matthew Crider 2011-10-18 15:56:19 PDT
Shall I throw this in stable, Alec?
Comment 6 Alec Smecher 2011-10-18 15:56:52 PDT
If you've tested it, yes -- and onto the recommended patches list.
Comment 7 Matthew Crider 2011-10-18 16:08:34 PDT
Created attachment 3666 [details]
Patch against OJS pre-2.3.7
Comment 8 Matthew Crider 2011-10-18 16:10:02 PDT
Fixed blind CC editor comments to reviewers email
https://github.com/pkp/ojs/commit/5bd2f3c497783658fc69e464f6d33a787fbd1bb0
Comment 9 Matthew Crider 2011-10-18 16:10:46 PDT
Added to recommended patches list.  Closing.
Comment 10 Alec Smecher 2011-10-18 16:15:02 PDT
OTOH I think OCS will need this too.
Comment 11 Matthew Crider 2011-10-18 16:40:02 PDT
Fixed blind CC editor comments to reviewers email
https://github.com/pkp/ocs/commit/751a19771e4865cc68dde2108be700003d6a661e
Comment 12 Matthew Crider 2011-10-18 16:42:13 PDT
Created attachment 3667 [details]
Patch against OCS Pre-2.3.5
Comment 13 Matthew Crider 2011-10-18 16:44:08 PDT
Added to OCS stable, dev, and recommended patches list.  Closing.
Comment 14 Matthew Crider 2011-10-18 16:45:01 PDT
Fixed blind CC editor comments to reviewers email
https://github.com/pkp/ocs/commit/33fb92d9409ea4fbb879fa5d9e54ae986aafc4c0
Comment 15 Alec Smecher 2011-10-18 16:46:55 PDT
Thanks!
Comment 16 Alec Smecher 2012-08-14 15:14:51 PDT
The fix posted here is responsible for bug #7346.
Comment 17 Matthew Crider 2012-08-21 15:45:02 PDT
Change 'BCC editor decision email to reviewers' from using template to using a copy of editor decision email; Fixed article email log viewing bug
https://github.com/pkp/ojs/commit/97aaa0d279fdff8a5a30789de1d58ddb63469d11
Comment 18 Matthew Crider 2012-08-21 15:49:28 PDT
Reassigning to OCS and myself for backporting.  Note that the last commit comment isn't quite accurate.